Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get project list

Prev Next

Available in Classic and VPC

Get the deployment project list.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/project

Request headers

For information about the headers common to all SourceDeploy APIs, see SourceDeploy request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
projectName String Optional Search keyword
  • Filter values that match the project name in whole or in part.
pageNo Number Optional Page number
  • 1-N (default: 1)
pageSize Number Optional Number of items per page
  • 1-100 (default: 100)

Request example

The request example is as follows:

curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
result Object - Response result
result.projectList Array - Project list: projectList

projectList

The following describes projectList.

Field Type Required Description
id Number - Project ID
name String - Project name

Response status codes

For information about the HTTP status codes common to all SourceDeploy APIs, see SourceDeploy response status codes.

Response example

The response example is as follows:

{
    "result": {
        "projectList": [
            {
                "id": 2***,
                "name": "deploy3"
            },
            {
                "id": 2***,
                "name": "deploy2"
            },
            {
                "id": 2***,
                "name": "deploy1"
            }
        ]
    }
}